Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.datamodel
Class AssemblyException

    java.lang.Object
      org.ensembl.datamodel.impl.PersistentImpl
          org.ensembl.datamodel.impl.LocatableImpl
              org.ensembl.datamodel.impl.BaseFeatureImpl
                  org.ensembl.datamodel.AssemblyException

All Implemented Interfaces:
  java.lang.Cloneable, java.lang.Comparable, Feature, Locatable, Persistent, java.io.Serializable

public class AssemblyException
extends org.ensembl.datamodel.impl.BaseFeatureImpl

Defines how some semi-virtual sequence regions (PAR/Haplotypes) are partially constructed from other sequence regions.

- location = relevant part of the semi-virtual sequence region
- target = relevant part(s) of a component sequence region.
- type = type of the assembly exception; PAR or HAPlotype.

See Also:
  `AssemblyExceptionAdaptor`, Serialized Form

Field Summary

Fields inherited from class org.ensembl.datamodel.impl.BaseFeatureImpl
`analysis, analysisID`

Fields inherited from class org.ensembl.datamodel.impl.LocatableImpl
`location, sequence`

Fields inherited from class org.ensembl.datamodel.impl.PersistentImpl
`driver, internalID`

Constructor Summary
`AssemblyException(long internalID, Location org, Location linked, java.lang.String type)`

Method Summary
`Location` | `getTarget()`
`java.lang.String` | `getType()`
`java.lang.String` | `toString()`

Methods inherited from class org.ensembl.datamodel.impl.BaseFeatureImpl
`getAnalysis, getAnalysisID, getDescription, getDisplayName, setAnalysis, setAnalysisID, setDescription, setDisplayName`

Methods inherited from class org.ensembl.datamodel.impl.LocatableImpl
`clone, compareTo, getLocation, getSequence, setCoordinateSystem, setLocation, setSequence`

Methods inherited from class org.ensembl.datamodel.impl.PersistentImpl
`getDriver, getInternalID, sameInternalID, setDriver, setInternalID`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.ensembl.datamodel.Locatable
`getLocation, getSequence, setCoordinateSystem, setLocation, setSequence`

Methods inherited from interface org.ensembl.datamodel.Persistent
`getDriver, getInternalID, sameInternalID, setDriver, setInternalID`

Methods inherited from interface java.lang.Comparable
`compareTo`

Constructor Detail

### AssemblyException

    public AssemblyException(long internalID,
                             Location org,
                             Location linked,
                             java.lang.String type)

Method Detail

### getTarget

    public Location getTarget()

  Returns:
    Returns the linkedLocation.

### getType

    public java.lang.String getType()

  Returns:
    Returns the type.

### toString

    public java.lang.String toString()

  Returns:
    String representation of this instance.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD